
Date: Feb 20 1999 3:43:06 PM

Object: STAR, a macro assembler for the SATURN processor.
        QL version.

Some notes about this port of STAR.

Star is just a macro assembler for the Saturn processor and is shareware.

See terms of GNU public license in the file COPYING and other information
in README_1ST and README files.

I have only ported this software and made some tests on it: now it seems
right but it is possible that there are some bugs so please don't ask me
a lot about but look if there is still something on the internet.

Compiling and running the software I found bugs in the C68 compiler, they
are documented in the source code ( see STAR.H, STAR.C, DIRS.C, etc. ).

When writing star source files use an editor that expands TAB into spaces,
because the parser doesn't like chr$(9).

Here is a difference between PC ASCII set and QL ASCII set: some characters
have different code and the  (96 on PC) is equivalent to ` on my QXL.
Use ` instead of  or you will get an ERROR. The code produced is correct.

Within the zip file you will find the source code for various platforms and
some files about this release.

The QL sources, executable and others are in a different directory. 

For the QL is a C68 makefile, a batch file called dotests_bat and a list of
_star files in the right format for the star macro assembler.

Run the batch file (better under the Shell) and you will find a bunch of
_list and _sbin files: the _list files are printable list of the code produced
while _sbin are Star BINary files in a suitable binary form for the 48SX/GX.


To transfer the _sbin files to HP48 you need:

	1. a Kermit or Xmodem program
	2. a serial cable to connect your computer to the HP48
	3. The manual of the HP48 (if you don't know the transfer procedure)


The example scrdown and obj2scr are working programs and are useful to understand
the difference between the SASM assembler notation (HP standard) and STAR (Alonzo
Gariepy's like) notation.

Make the _sbin with:	star scrdown scrdown hp48 scrdown
			star obj2scr obj2scr hp48 obj2scr


 
Some notes about my QL environment.

QXL2 with a 68040 cpu, 8 Meg ram 
SMSQ v.2.76 HBA rom version 
Shell v. 1.08 and C68 4.24f.

This text (and all mistakes) was written with MicroEMACS v4.00 (thanks to the
author) by:

	Roberto Porro
	Savona Italy

	porro@savonaonline.it

	
